package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairTrackRecord;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.TrackDetailsVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
public interface RepairTrackRecordService extends IService<RepairTrackRecord> {
    int insertRepairTrackRecord(RepairTrackRecord rns);

    int updateRepairTrackRecord(RepairTrackRecord rns);

    PageUtils<RepairTrackRecord> queryPageRepairTrackRecords(int currentPage, int pageCount, String name);

    int deleteRepairTrackRecordById(int id);

    RepairTrackRecord getRepairById(int id);

    List<RepairTrackRecord> getRepairs();

    List<TrackDetailsVo> queryDetailData(Integer recordId);
}
